Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDicer Class Reference

`#include <vtkDicer.h>`

Inheritance diagram for vtkDicer:

[legend]
Collaboration diagram for vtkDicer:

[legend]
List of all members.

## Detailed Description

abstract superclass to divide dataset into pieces

Date:
  2002/01/22 15:29:17

Revision:
  1.30

Subclasses of vtkDicer divides the input dataset into separate pieces. These pieces can then be operated on by other filters (e.g., vtkThreshold). One application is to break very large polygonal models into pieces and performing viewing and occlusion culling on the pieces. Multiple pieces can also be streamed through the visualization pipeline.

To use this filter, you must specify the execution mode of the filter; i.e., set the way that the piece size is controlled (do this by setting the DiceMode ivar). The filter does not change the geometry or topology of the input dataset, rather it generates integer numbers that indicate which piece a particular point belongs to (i.e., it modifies the point and cell attribute data). The integer number can be placed into the output scalar data, or the output field data.

Warning:
  The number of pieces generated may not equal the specified number of pieces. Use the method GetNumberOfActualPieces() after filter execution to get the actual number of pieces generated.

See also:
  vtkOBBDicer vtkConnectedDicer vtkSpatialDicer

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (85%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkDicer.h)`
  - .`cxx` (`/Graphics/vtkDicer.cxx)`

Definition at line 66 of file vtkDicer.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetFieldData (int)
virtual int | GetFieldData ()
virtual void | FieldDataOn ()
virtual void | FieldDataOff ()
virtual void | SetDiceMode (int)
virtual int | GetDiceMode ()
void | SetDiceModeToNumberOfPointsPerPiece ()
void | SetDiceModeToSpecifiedNumberOfPieces ()
void | SetDiceModeToMemoryLimitPerPiece ()
virtual int | GetNumberOfActualPieces ()
virtual void | SetNumberOfPointsPerPiece (int)
virtual int | GetNumberOfPointsPerPiece ()
virtual void | SetNumberOfPieces (int)
virtual int | GetNumberOfPieces ()
virtual void | SetMemoryLimit (unsigned long)
virtual unsigned long | GetMemoryLimit ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkDicer * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDicer ()
| ~vtkDicer ()
virtual void | UpdatePieceMeasures ()
## Protected Attributes
int | NumberOfPointsPerPiece
int | NumberOfPieces
unsigned long | MemoryLimit
int | NumberOfActualPieces
int | FieldData
int | DiceMode

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkDicer::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkOBBDicer. Definition at line 69 of file vtkDicer.h.

## Constructor & Destructor Documentation

vtkDicer::vtkDicer | ( |  | ) | `[protected]`

vtkDicer::~vtkDicer | ( |  | ) | `[inline, protected]`

| Definition at line 130 of file vtkDicer.h.

## Member Function Documentation

virtual const char* vtkDicer::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkOBBDicer.

int vtkDicer::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkOBBDicer.

virtual int vtkDicer::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkOBBDicer.

vtkDicer* vtkDicer::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkOBBDicer.

void vtkDicer::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkOBBDicer.

virtual void vtkDicer::SetFieldData | ( | int |  | ) | `[virtual]`

| Set/Get the flag which controls whether to generate point scalar data or point field data. If this flag is off, scalar data is generated. Otherwise, field data is generated. Note that the generated the data are integer numbers indicating which piece a particular point belongs to.

virtual int vtkDicer::GetFieldData | ( |  | ) | `[virtual]`

| Set/Get the flag which controls whether to generate point scalar data or point field data. If this flag is off, scalar data is generated. Otherwise, field data is generated. Note that the generated the data are integer numbers indicating which piece a particular point belongs to.

virtual void vtkDicer::FieldDataOn | ( |  | ) | `[virtual]`

| Set/Get the flag which controls whether to generate point scalar data or point field data. If this flag is off, scalar data is generated. Otherwise, field data is generated. Note that the generated the data are integer numbers indicating which piece a particular point belongs to.

virtual void vtkDicer::FieldDataOff | ( |  | ) | `[virtual]`

| Set/Get the flag which controls whether to generate point scalar data or point field data. If this flag is off, scalar data is generated. Otherwise, field data is generated. Note that the generated the data are integer numbers indicating which piece a particular point belongs to.

virtual void vtkDicer::SetDiceMode | ( | int |  | ) | `[virtual]`

| Specify the method to determine how many pieces the data should be broken into. By default, the number of points per piece is used.

virtual int vtkDicer::GetDiceMode | ( |  | ) | `[virtual]`

| Specify the method to determine how many pieces the data should be broken into. By default, the number of points per piece is used.

void vtkDicer::SetDiceModeToNumberOfPointsPerPiece | ( |  | ) | `[inline]`

| Specify the method to determine how many pieces the data should be broken into. By default, the number of points per piece is used. Definition at line 88 of file vtkDicer.h. References VTK_DICE_MODE_NUMBER_OF_POINTS.

void vtkDicer::SetDiceModeToSpecifiedNumberOfPieces | ( |  | ) | `[inline]`

| Specify the method to determine how many pieces the data should be broken into. By default, the number of points per piece is used. Definition at line 90 of file vtkDicer.h. References VTK_DICE_MODE_SPECIFIED_NUMBER.

void vtkDicer::SetDiceModeToMemoryLimitPerPiece | ( |  | ) | `[inline]`

| Specify the method to determine how many pieces the data should be broken into. By default, the number of points per piece is used. Definition at line 92 of file vtkDicer.h. References VTK_DICE_MODE_MEMORY_LIMIT.

virtual int vtkDicer::GetNumberOfActualPieces | ( |  | ) | `[virtual]`

| Use the following method after the filter has updated to determine the actual number of pieces the data was separated into.

virtual void vtkDicer::SetNumberOfPointsPerPiece | ( | int |  | ) | `[virtual]`

| Control piece size based on the maximum number of points per piece. (This ivar has effect only when the DiceMode is set to SetDiceModeToNumberOfPoints().)

virtual int vtkDicer::GetNumberOfPointsPerPiece | ( |  | ) | `[virtual]`

| Control piece size based on the maximum number of points per piece. (This ivar has effect only when the DiceMode is set to SetDiceModeToNumberOfPoints().)

virtual void vtkDicer::SetNumberOfPieces | ( | int |  | ) | `[virtual]`

| Set/Get the number of pieces the object is to be separated into. (This ivar has effect only when the DiceMode is set to SetDiceModeToSpecifiedNumber()). Note that the ivar NumberOfPieces is a target - depending on the particulars of the data, more or less number of pieces than the target value may be created.

virtual int vtkDicer::GetNumberOfPieces | ( |  | ) | `[virtual]`

| Set/Get the number of pieces the object is to be separated into. (This ivar has effect only when the DiceMode is set to SetDiceModeToSpecifiedNumber()). Note that the ivar NumberOfPieces is a target - depending on the particulars of the data, more or less number of pieces than the target value may be created.

virtual void vtkDicer::SetMemoryLimit | ( | unsigned | long | ) | `[virtual]`

| Control piece size based on a memory limit. (This ivar has effect only when the DiceMode is set to SetDiceModeToMemoryLimit()). The memory limit should be set in kilobytes.

virtual unsigned long vtkDicer::GetMemoryLimit | ( |  | ) | `[virtual]`

| Control piece size based on a memory limit. (This ivar has effect only when the DiceMode is set to SetDiceModeToMemoryLimit()). The memory limit should be set in kilobytes.

virtual void vtkDicer::UpdatePieceMeasures | ( |  | ) | `[protected, virtual]`

## Member Data Documentation

int vtkDicer::NumberOfPointsPerPiece`[protected]`

| Definition at line 134 of file vtkDicer.h.

int vtkDicer::NumberOfPieces`[protected]`

| Definition at line 135 of file vtkDicer.h.

unsigned long vtkDicer::MemoryLimit`[protected]`

| Definition at line 136 of file vtkDicer.h.

int vtkDicer::NumberOfActualPieces`[protected]`

| Definition at line 137 of file vtkDicer.h.

int vtkDicer::FieldData`[protected]`

| Definition at line 138 of file vtkDicer.h.

int vtkDicer::DiceMode`[protected]`

| Definition at line 139 of file vtkDicer.h.

The documentation for this class was generated from the following file:

- Graphics/vtkDicer.h